# $Revision: 1.21 $, $Date: 2009/04/03 19:14:26 $
# TODO:
# - execute tests

%bcond_without	javadoc		# build javadoc
%if "%{pld_release}" == "ti"
%bcond_without	java_sun		# build with gcj
%else
%bcond_with	java_sun		# build with java-sun
%endif

%include	/usr/lib/rpm/macros.java

%define		srcname	qdox
Summary:	Extract class/interface/method definitions from sources
Summary(pl.UTF-8):	Wyciąganie definicji klas/interfejsów/metod ze źródeł
Name:		java-qdox
Version:	1.8
Release:	3
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://repository.codehaus.org/com/thoughtworks/qdox/qdox/%{version}/%{srcname}-%{version}-sources.jar
# Source0-md5:	9cbc745194a39ec27f54bbe16c2342cc
URL:		http://qdox.codehaus.org/
BuildRequires:	ant
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	junit
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Obsoletes:	qdox
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QDox is a high speed, small footprint parser for extracting
class/interface/method definitions from source files complete with
JavaDoc @tags. It is designed to be used by active code generators or
documentation tools.

%description -l pl.UTF-8
QDox to bardzo szybki i o niewielkim narzucie analizator do wyciągania
definicji klas/interfejsów/metod z plików źródłowych uzupełnionych
znacznikami @ JavaDoc. Jest zaprojektowany do używania z aktywnymi
generatorami kodu i narzędziami do tworzenia dokumentacji.

%package javadoc
Summary:	Javadoc for %{srcname}
Summary(pl.UTF-8):	Dokumentacja javadoc dla pakietu %{srcname}
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	qdox-javadoc

%description javadoc
Javadoc for %{srcname}.

%description javadoc -l pl.UTF-8
Dokumentacja javadoc dla pakietu %{srcname}.

%prep
%setup -qc

%build

CLASSPATH=$(build-classpath junit ant)

install -d build

%javac \
	-classpath $CLASSPATH \
	-source 1.4 \
	-target 1.4 \
	-d build \
	$(find -name '*.java')

%if %{with javadoc}
%javadoc -d apidocs \
	%{?with_java_sun:com.thoughtworks.qdox} \
	$(find com/thoughtworks/qdox -name '*.java')
%endif

%jar -cf %{srcname}-%{version}.jar -C build com

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
ln -s %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar

%if %{with javadoc}
# javadoc
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-qdox.spec,v $
Revision 1.21  2009/04/03 19:14:26  paszczus
- s/name/srcname in descriptions
- fixed building javadoc with java_sun
- rel 3

Revision 1.20  2009/04/03 18:03:15  ankry
- tab

Revision 1.19  2009/04/03 16:40:52  pawelz
- TODO: fails on javadoc when being build with java_sun

Revision 1.18  2009/04/03 16:25:24  pawelz
- fixed build with java-sun
- BR: rpm >= 4.4.9-56 for %{pld_release} macro

Revision 1.17  2009/04/03 16:04:26  pawelz
- O: old package name
- typo (it works with java-sun > 1.5)
- TODO: execute tests

Revision 1.16  2009/04/03 14:47:58  pawelz
- renamed with java- prefix
- jdk bconds
- javadoc bcond
- dropped 'SHELL=/bin/sh' (gjdoc is fixed)
- G: Libraries/Java
- rel 1

Revision 1.15  2009/02/24 23:58:34  glen
- unify

Revision 1.14  2009/02/20 17:22:04  pawelz
- do not create dirs in %prep
- fixed %build

Revision 1.13  2009/02/20 16:53:43  pawelz
- up to 1.8
- completly rewritten

Revision 1.12  2008/02/09 21:00:47  qboosh
- unified License format

Revision 1.11  2007-12-02 16:54:52  qboosh
- pointer to 1.6.x versions

Revision 1.10  2007-12-02 16:52:39  glen
- builds; rel 3

Revision 1.9  2007-12-02 16:31:24  glen
- update build from qdox1.5 (jpackage 1.7 branch)

Revision 1.8  2007-12-02 15:40:35  glen
- unify java package

Revision 1.7  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.5  2006/05/23 20:34:37  glen
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

Revision 1.4  2006/05/21 20:24:29  glen
- use rpm-javaprov

Revision 1.3  2006/05/19 11:28:20  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.2  2006/05/17 20:18:27  qboosh
- pl

Revision 1.1  2006/05/10 23:24:34  glen
- NFY
